%define gsver	8.15.4
%define ijsver	0.35

Name: ghostscript
Version: %gsver
Release: alt1

%define real_name espgs
%define esp_name esp-ghostscript
%define gnu_name gnu-ghostscript
%define dot_version 8.15

URL:            http://www.cups.org/espgs/index.php
License: GPL
Summary: PostScript interpreter and renderer, most printer drivers
Group: Publishing

Source0:	ftp://ftp2.easysw.com/pub/ghostscript/%real_name-%{gsver}.tar
Patch1:		espgs-mdk-windev-compatibility.patch
Patch2:		espgs-alt-visibility.patch
Patch3:		espgs-rh-64bit-fix.patch

Packager: Stanislav Ievlev <inger@altlinux.org>


#compatibility requires
Requires: %name-classic = %gsver-%release, %name-drivers
Provides: %esp_name = %gsver, %gnu_name = %gsver
Obsoletes: %gnu_name, %esp_name

BuildPreReq: kernel-headers-std

# Automatically added by buildreq on Thu Mar 23 2006 (-bi)
BuildRequires: docbook-utils-print fontconfig-devel fontconfig gcc-c++ gcc-g77 glibc-devel-static imake libcups-devel libgtk+2-devel libjpeg-devel libpng-devel libssl-devel libtiff-devel libXext-devel libXt-devel xorg-cf-files

%package -n libijs
Version: %{ijsver}_%gsver
License: MIT
Summary: Dynamic library for the IJS printer driver plug-in interface
Group: Publishing
Url: http://www.linuxprinting.org/ijs/
Provides: libespijs = %{ijsver}_%gsver, libgnuijs = %{ijsver}_%gsver
Obsoletes: libgnuijs, libespijs

%package -n libijs-devel
Version: %{ijsver}_%gsver
License: MIT
Summary: Headers and links for compiling against
Group: Development/C
Url: http://www.linuxprinting.org/ijs/
Requires: libijs = %{ijsver}_%gsver-%release
Provides: libespijs-devel = %{ijsver}_%gsver, libgnuijs-devel = %{ijsver}_%gsver
Obsoletes: libgnuijs-devel, libespijs-devel

%package module-X
Summary: PostScript interpreter and renderer (additional support for X)
Version: %gsver
Group: Publishing
PreReq: %name-rip = %gsver-%release
Provides: %esp_name-module-X = %gsver, %gnu_name-module-X = %gsver
Obsoletes: %gnu_name-module-X, %esp_name-module-X

%package utils
Summary: Additional tools for configuring printers
Version: %gsver
Group: Publishing
PreReq: %name-rip = %gsver-%release
Provides: %esp_name-utils = %gsver, %gnu_name-utils = %gsver
Obsoletes: %gnu_name-utils, %esp_name-utils

%package lib
Summary: Shared library for %name
Version: %gsver
Group: Publishing
Provides: %esp_name-lib = %gsver, %gnu_name-lib = %gsver
Obsoletes: %gnu_name-lib, %esp_name-lib

%package classic
Summary: classic edition of %name
Version: %gsver
Group: Publishing
PreReq: %name-common = %gsver-%release
Provides: %name-rip = %gsver-%release
Provides: %esp_name-classic = %gsver, %gnu_name-classic = %gsver
Obsoletes: %gnu_name-classic, %esp_name-classic

%package minimal
Summary: minimal edition of %name
Version: %gsver
Group: Publishing
PreReq: %name-lib = %gsver-%release, %name-common = %gsver-%release
Provides: %name-rip = %gsver-%release
Provides: %esp_name-minimal = %gsver, %gnu_name-minimal = %gsver
Obsoletes: %gnu_name-minimal, %esp_name-minimal

%package gtk
Summary: %name with gtk
Version: %gsver
Group: Publishing
PreReq: %name-lib = %gsver-%release, %name-common = %gsver-%release
Provides: %name-rip = %gsver-%release
Provides: %esp_name-gtk = %gsver, %gnu_name-gtk = %gsver
Obsoletes: %gnu_name-gtk, %esp_name-gtk

%package common
Summary: Common files for the %name
Version: %gsver
Group: Publishing
Requires: urw-fonts >= 1.1
Provides: %esp_name-common = %gsver, %gnu_name-common = %gsver
Obsoletes: %gnu_name-common, %esp_name-common

%package cups
Summary: CUPS specific files %name
Version: %gsver
Group: Publishing
Requires:%name = %gsver-%release 
Provides: %esp_name-cups = %gsver

%description
Ghostscript is a set of software that provides a PostScript(TM) interpreter,
a set of C procedures (the Ghostscript library, which implements the
graphics capabilities in the PostScript language) and an interpreter for
Portable Document Format (PDF) files. Ghostscript translates PostScript code
into many common, bitmapped formats, like those understood by your printer
or screen. Ghostscript is normally used to display PostScript files and to
print PostScript files to non-PostScript printers.
Most applications use PostScript for printer output.

In addition, the package contains filters which transfer the raw
bitmap of GhostScript into the protocol of some additional printer
models.

You should install ghostscript if you need to display PostScript files, or
if you have a non-PostScript printer.

%description module-X
Ghostscript is a PostScript interpreter. It can render both PostScript
and PDF compliant files to devices which include an X window, many printer
formats (including support for colour printers), and popular graphics
file formats.
This version enhances ghostscript with X windows support.

%description utils
Tools for printer maintenance: Setting default options for most laser
printers (PJL-capable printers), cartridge changing and head aligning
for inkjet winprinters.

%description -n libijs
This is the API library for programs using the IJS printer driver
plug-in interface. Printer drivers using this interface can be added
to GhostScript (6.53 or newer) without needing to rebuild
GhostScript. Application programs providing an IJS interface can make
use of IJS printer drivers directly, without needing GhostScript.

%description -n libijs-devel
This package contains the static library and the header files needed
to compile applications using this library.

%description lib
Shared library for %name

%description classic
Classic edition of %name

%description minimal
Minimal edition of %name

%description gtk
%name with gtk

%description common
Common files for the %name

%description cups
CUPS specific files %name

%prep
%setup -q -n %real_name
%patch1 -p1
%patch2 -p2
%patch3 -p1

%__autoreconf

%build

pushd ijs*
	./autogen.sh
	%configure --enable-shared
	%make
popd


./autogen.sh

%configure --enable-dynamic \
           --with-ijs \
	   --with-cups \
	   --with-omni \
	   --with-x \
	   --with-drivers=ALL,opvp \
	   --with-fontpath=/usr/share/fonts/default:\
/usr/share/fonts/type1:\
/usr/share/fonts/type1/urw:\
/usr/share/fonts

# Set documentation dir
#perl -p -i -e 's|^(docdir=).*$|$1\$\(datadir\)/doc/%{name}-%{gsver}|' Makefile
# Fix references to X11 libraries
#%__subst "s|/usr/X11R6/lib/|%_libdir|g" Makefile src/*.mak

# Correct paths for CJK fonts
%__subst "s:/usr/share/ghostscript/:/usr/share/ghostscript/Resource/:g" lib/gs_res.ps
%__subst "s:ghostscript/Resource/fonts:ghostscript/Resource/Font:g" lib/gs_res.ps

#NO SMP
%make
%make so
%make pcl3opts

%install

make prefix=%buildroot/usr \
	install_prefix=%buildroot \
	gssharedir=%_libdir/ghostscript/%gsver \
	docdir=%_docdir/ghostscript-%gsver \
	bindir=%_bindir \
	mandir=%_mandir \
	install
make prefix=%buildroot/usr \
     install_prefix=%buildroot\
     gssharedir=%_libdir/ghostscript/%gsver \
     docdir=%_docdir/ghostscript-%gsver \
     bindir=%_bindir \
     mandir=%_mandir \
     man1dir=%_mandir/man1 \
     pcl3-install
make prefix=%buildroot/usr \
     install_prefix=%buildroot \
     gssharedir=%_libdir/ghostscript/%gsver \
     docdir=%_docdir/ghostscript-%gsver \
     bindir=%_bindir \
     libdir=%_libdir \
     mandir=%_mandir \
     soinstall

#ijs
pushd ijs
    install -d $RPM_BUILD_ROOT%_includedir/ijs
    %makeinstall
    cp ijs_server_example %buildroot/usr/bin/
    chmod -x $RPM_BUILD_ROOT%_includedir/ijs/*
popd


[ -d $RPM_BUILD_ROOT%_libdir/%name/%gsver ] && mv $RPM_BUILD_ROOT%_libdir/%name/%gsver $RPM_BUILD_ROOT%_libdir/%name/%dot_version

rm -rf $RPM_BUILD_ROOT%_mandir/de


%post lib -p %post_ldconfig
%postun lib -p %postun_ldconfig

%post -n libijs -p %post_ldconfig
%postun -n libijs -p %postun_ldconfig

%files

%files common
%doc %_docdir/%name-%gsver
%_datadir/ghostscript
%_bindir/pdf2dsc
%_bindir/pdf2ps
%_bindir/gsnd

%files cups
%config(noreplace) %_sysconfdir/cups/*
/usr/lib/cups/filter/*
%_datadir/cups/model/*

%files classic
%_bindir/gs

%files minimal
%_bindir/gsc

%files gtk
%_bindir/gsx

%files utils
%_bindir/*
#common excludes
%exclude %_bindir/gs
%exclude %_bindir/gsc
%exclude %_bindir/gsx
%exclude %_bindir/*ijs*
%exclude %_bindir/pdf2dsc
%exclude %_bindir/pdf2ps
%exclude %_bindir/gsnd
%_man1dir/*

%files module-X
%_libdir/ghostscript

%files lib
%_libdir/libgs.so*

%files -n libijs
%_libdir/libijs*.so.*

%files -n libijs-devel
%doc ijs/README
%_bindir/ijs-config
%_bindir/ijs_client_example
%_bindir/ijs_server_example
%_libdir/pkgconfig/*
%_libdir/libijs*.so
%_includedir/ijs

%changelog
* Thu Mar 15 2007 Stanislav Ievlev <inger@altlinux.org> 8.15.4-alt1
- 8.15.4 (bugfix release)

* Thu Jan 25 2007 Stanislav Ievlev <inger@altlinux.org> 8.15.3-alt0.3
- apply 64 fix from RH (bug #177763 in bugzilla.redhat.com)

* Fri Dec 29 2006 Stanislav Ievlev <inger@altlinux.org> 8.15.3-alt0.2
- Change default visibility for the libraries (avm)

* Fri Oct 13 2006 Stanislav Ievlev <inger@altlinux.org> 8.15.3-alt0.1
- 8.15.3

* Wed May 24 2006 Stanislav Ievlev <inger@altlinux.org> 8.15.2-alt0.1
- 8.15.2

* Thu Mar 23 2006 Stanislav Ievlev <inger@altlinux.org> 8.15.1-alt0.1
- 8.15.1

* Fri May 13 2005 Stanislav Ievlev <inger@altlinux.org> 8.15.0-alt0.1
- 8.15
- all additional drivers are in separate package now

* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 7.07.1-alt6.1
- Rebuilt with libstdc++.so.6.

* Thu Oct 07 2004 Stanislav Ievlev <inger@altlinux.org> 7.07.1-alt6
- turn off fontconfig patch (author of this patch RH has been discovered some strange problems)

* Wed Sep 22 2004 Stanislav Ievlev <inger@altlinux.org> 7.07.1-alt5
- driver updates

* Fri Sep 17 2004 ALT QA Team Robot <qa-robot@altlinux.org> 7.07.1-alt4.1.1
- Rebuilt with libtiff.so.4.

* Tue May 11 2004 ALT QA Team Robot <qa-robot@altlinux.org> 7.07.1-alt4.1
- Rebuilt with openssl-0.9.7d.

* Tue May 11 2004 Stanislav Ievlev <inger@altlinux.org> 7.07.1-alt4
- fix bootstrap

* Wed May 05 2004 Stanislav Ievlev <inger@altlinux.org> 7.07.1-alt3
- added ppmtomd driver
- added support for KRGB (from hpijs 1.6)
- don't build cat files (was problems with building in hasher)

* Mon Mar 15 2004 Stanislav Ievlev <inger@altlinux.org> 7.07.1-alt2
- update epsonepl driver to add support for EPL6200L

* Fri Feb 13 2004 Stanislav Ievlev <inger@altlinux.org> 7.07.1-alt1
- fix requires (urw-fonts) in common package.

* Tue Feb 10 2004 Stanislav Ievlev <inger@altlinux.org> 7.07.1-alt0.4
- rename back to ghostscript (to minor problems on update)
- added pentaxpj driver for Pentax PocketJet printers

* Thu Dec 25 2003 Stanislav Ievlev <inger@altlinux.org> 7.07.1-alt0.3
- correct fontpath (was problems with printing Japanese)
- added lexmark Z11 driver

* Tue Dec 02 2003 Stanislav Ievlev <inger@altlinux.org> 7.07.1-alt0.2
- added epsonepl driver
- Daedalus release

* Thu Nov 06 2003 Stanislav Ievlev <inger@altlinux.org> 7.07.1-alt0.1
- 7.07.1
- change font path
- fix requires module-X and drivers (added virtual providing %name-rip)
	 

* Fri May 16 2003 Stanislav Ievlev <inger@altlinux.ru> 7.05.6-alt0.8
- added pnm2ppa and pbm2ppa (old version of pnm2ppa) drivers for HP PPA WinPrinters
- fix requires (classic doesn't need lib)

* Wed May 07 2003 Stanislav Ievlev <inger@altlinux.ru> 7.05.6-alt0.7
- added CID support

* Wed Apr 30 2003 Stanislav Ievlev <inger@altlinux.ru> 7.05.6-alt0.6
- added module X11 feature
- pdf2dsc, pdf2ps moved to common like in gnu ghostscript (gv need it)
- added ml85p driver (Samsung ML-85G and QL-85G winprinters)

* Mon Apr 07 2003 Stanislav Ievlev <inger@altlinux.ru> 7.05.6-alt0.5
- Initial release

